Subject: [media-types] How about "filesystem/" types?

From: Tomasz Sobczyk <[email-masked]>
Date: Sun, 26 Jan 2020 03:59:25 +0100

Hello,

I would like to propose and hear your opinions about a top-level type
for all kinds of filesystem images. These would also include formats
that are commonly referred to as "archives", because these "archives" are
technically filesystem images where file data hassimply been compressed.

These "archives" could be mounted, but that is unpractical due to the fact
the compression method does not allow for random access and the formats are
not suited for file editing. The term "archive" comes from their purpose -
they are used for archival, the word has no connection to the format itself.

I would like to propose it because of the following reasons:

1. There are quite a lot of filesystem formats used in transit,
    most notably ZIP, RAR and ISO 9660 images.
2. There are common operations that one does on a filesystem,
    namely filesystems can be browsed, mounted, one can add a file,
    remove a file, extract a file from a filesystem, etc.
3. Filesystems are collections of various resources, which does not
    necessarily need to have anything in common. Filesystems may contain
    files that are completely unrelated to each other.
4. Personally, I think that there should be as less as possible subtypes
    under "application", because every resource is meant for some kind of
    application. "application" is basically "other" or "uncategorized".
    Having a whole bunch of types there defeats the purpose of a top-level
    type in my opinion. We might as well just use flat strings.

My proposed top-level type name is "filesystem". All subtypes under this 
type
would be required to define a structured syntax name suffix, maybe with
a common prefix like "fs!". For example, given "filesystem/zip" would 
exists,
there would be an "application/epub+fs!zip". An application which does not
undersand "application/epub+fs!zip" could infer that its a (ZIP) filesystem
and maybe present a filesystem browser to the user, for example. Generally,
the resource could be passed to some external filesystem browser application
that could support an arbitrary amount of filesystem images. The presence of
"+fs!" would indicate that this browser might be able to work with it.

What do you think?

Tomasz

---

From: Henrik Andersson <[email-masked]>
Date: Sun, 26 Jan 2020 22:45:06 +0100

Tomasz Sobczyk wrote:
> My proposed top-level type name is "filesystem". All subtypes under
> this type
> _______________________________________________
> media-types mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/media-types
>
>
I think that you are several decades too late.